### Class

# Ide ObjectBox

#### Description

    final class Ide.ObjectBox : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Constructors

###### ide_object_box_new

Create a new `IdeObjectBox`.

Available since: 3.32

#### Functions

###### ide_object_box_from_object

Gets the `IdeObjectBox` that contains `object`, if any.

Available since: 3.32

#### Instance methods

###### ide_object_box_contains

Checks if `self` contains `instance`.

Available since: 3.32

###### ide_object_box_ref_object

Gets the boxed object.

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.ObjectBox:object

The “object” property contains the object that is boxed and placed onto the object graph using this box.

Available since: 3.32

###### Ide.ObjectBox:propagate-disposal

The “propagate-disposal” property denotes if the `IdeObject:object` property contents should have `g_object_run_dispose()` called when the `IdeObjectBox` is destroyed.

Available since: 3.32

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeObjectBoxClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.